import request from '@/utils/request'

// 标书材料生成 ---- EPC模板

// 获取EPC模板列表
export function getEpcTemplateListAPI(data) {
    return request({
        url: '/epc/getEpcList',
        method: 'get',
        params: data,
    })
}
// 根据id获取EPC模板详情
export function getEpcTemplateByIdAPI(data) {
    return request({
        url: '/epc/getEpcTempById',
        method: 'post',
        data: data,
    })
}

// 新增EPC模板
export function addEpcTemplateAPI(data) {
    return request({
        url: '/epc/addEpcTemp',
        method: 'post',
        data: data,
    })
}

// 编辑EPC模板
export function editEpcTemplateAPI(data) {
    return request({
        url: '/epc/updateEpcTemp',
        method: 'post',
        data: data,
    })
}

// 删除EPC模板
export function deleteEpcTemplateAPI(data) {
    return request({
        url: '/epc/delEpcTemp',
        method: 'post',
        data: data,
    })
}
